// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

var Image = function (uri, id) {
	if (arguments.length > 0) {
    	this.init(uri, id);
	}
};

Image.prototype.init = function (uri, id) {
	
	//console.log("init Image");
	//console.log("uri: %s", uri);
	this.uri = uri;
	this.clickthrough = uri;
	this.id = id;
	
};

Image.prototype.toString = function() {

	return 'Image(' + this.uri + ')';

}

Image.prototype.hide = function(delay) {
	
	$('#i'+this.id).hide(delay)
	
}

Image.prototype.show = function(delay) {

	$('#i'+this.id).show(delay)

}